package com.bonus.system.att.utils;

/**
 * @author fly
 */
//@Component
public class IpAndPathConfig {

    /**
     * 当前环境
     * location 本地
     * test 测试
     * prod 固定
     */
//    @Value("${environment}")
//    public static String environment;
    public static String environment = "test";

    /**
     * 小程序相关
     */
    public static String wechatDevUrl = "http://127.0.0.1:21907/gz_att_wechat";

    public static String wechatTestUrl = "http://192.168.0.14:21907/gz_att_wechat";

    public static String wechatProdUrl = "https://jj.jypxks.com/gz_att_wechat";

    public static String getWechatUrl(){
        if(environment.contains("prod")){
            return wechatProdUrl;
        }else if(environment.contains("test")){
            return wechatTestUrl;
        }else{
            return wechatDevUrl;
        }
    }

}
